Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.model.metadata.iso19115
Class Keywords

    java.lang.Object
      org.deegree.model.metadata.iso19115.Keywords

All Implemented Interfaces:
  Serializable

    public class Keywords

extends Object
implements Serializable

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth, last edited by: $Author: mschneider $
See Also:
  Serialized Form

Constructor Summary
`Keywords(String[] keywords)` Creates a new instance of Keywords
`Keywords(String[] keywords, String thesaurusname, TypeCode typecode)` Creates a new instance of Keywords

Method Summary
`void` | `addKeyword(String keyword)`
`String[]` | `getKeywords()`
`String` | `getThesaurusName()`
`TypeCode` | `getTypeCode()`
`void` | `setKeywords(String[] keywords)`
`void` | `setThesaurusName(String thesaurusname)`
`void` | `setTypeCode(TypeCode typecode)`
`String` | `toString()` to String method

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Keywords

    public Keywords(String[] keywords)

  Creates a new instance of Keywords

  Parameters:
    `keywords` -

### Keywords

    public Keywords(String[] keywords,
                    String thesaurusname,
                    TypeCode typecode)

  Creates a new instance of Keywords

  Parameters:
    `keywords` -
    `thesaurusname` -
    `typecode` -

Method Detail

### getKeywords

    public String[] getKeywords()

  Returns:
    keywords

### addKeyword

    public void addKeyword(String keyword)

  Parameters:
    `keyword` -
  See Also:
    `getKeywords()`

### setKeywords

    public void setKeywords(String[] keywords)

  Parameters:
    `keywords` -
  See Also:
    `getKeywords()`

### getThesaurusName

    public String getThesaurusName()

  Returns:
    thesaurus name

### setThesaurusName

    public void setThesaurusName(String thesaurusname)

  Parameters:
    `thesaurusname` -
  See Also:
    `getThesaurusName()`

### getTypeCode

    public TypeCode getTypeCode()

  Returns:
    type code

### setTypeCode

    public void setTypeCode(TypeCode typecode)

  Parameters:
    `typecode` -
  See Also:
    `getTypeCode()`

### toString

    public String toString()

  to String method

  Overrides:
    `toString` in class `Object`
  Returns:
    string representation

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org